%%%---------------------------------------
%%% module      : data_quick_buy
%%% description : 快速购买配置
%%%
%%%---------------------------------------
-module(data_quick_buy).
-compile(export_all).
-include("goods.hrl").



get_quick_buy_price(11020001) ->
    #quick_buy_price{goods_type_id = 11020001,gold_price = 10,bgold_price = 10,coin_price = 0,consume_type = god};

get_quick_buy_price(11020002) ->
    #quick_buy_price{goods_type_id = 11020002,gold_price = 20,bgold_price = 20,coin_price = 0,consume_type = god};

get_quick_buy_price(11020003) ->
    #quick_buy_price{goods_type_id = 11020003,gold_price = 40,bgold_price = 40,coin_price = 0,consume_type = god};

get_quick_buy_price(11070001) ->
    #quick_buy_price{goods_type_id = 11070001,gold_price = 20,bgold_price = 0,coin_price = 0,consume_type = god};

get_quick_buy_price(11070010) ->
    #quick_buy_price{goods_type_id = 11070010,gold_price = 80,bgold_price = 80,coin_price = 0,consume_type = god};

get_quick_buy_price(16020001) ->
    #quick_buy_price{goods_type_id = 16020001,gold_price = 20,bgold_price = 20,coin_price = 0,consume_type = mount_add_exp_cost};

get_quick_buy_price(16020002) ->
    #quick_buy_price{goods_type_id = 16020002,gold_price = 60,bgold_price = 60,coin_price = 0,consume_type = mount_add_exp_cost};

get_quick_buy_price(16020003) ->
    #quick_buy_price{goods_type_id = 16020003,gold_price = 180,bgold_price = 180,coin_price = 0,consume_type = mount_add_exp_cost};

get_quick_buy_price(18010001) ->
    #quick_buy_price{goods_type_id = 18010001,gold_price = 200,bgold_price = 200,coin_price = 0,consume_type = star_soul_treasure_lucky_draw};

get_quick_buy_price(18020001) ->
    #quick_buy_price{goods_type_id = 18020001,gold_price = 10,bgold_price = 10,coin_price = 0,consume_type = star_soul_stage};

get_quick_buy_price(18020002) ->
    #quick_buy_price{goods_type_id = 18020002,gold_price = 30,bgold_price = 30,coin_price = 0,consume_type = star_soul_stage};

get_quick_buy_price(18020003) ->
    #quick_buy_price{goods_type_id = 18020003,gold_price = 90,bgold_price = 90,coin_price = 0,consume_type = star_soul_stage};

get_quick_buy_price(24010001) ->
    #quick_buy_price{goods_type_id = 24010001,gold_price = 15,bgold_price = 15,coin_price = 0,consume_type = talisman_upgrade_lv};

get_quick_buy_price(24010002) ->
    #quick_buy_price{goods_type_id = 24010002,gold_price = 60,bgold_price = 60,coin_price = 0,consume_type = talisman_upgrade_lv};

get_quick_buy_price(24010003) ->
    #quick_buy_price{goods_type_id = 24010003,gold_price = 240,bgold_price = 240,coin_price = 0,consume_type = talisman_upgrade_lv};

get_quick_buy_price(36040001) ->
    #quick_buy_price{goods_type_id = 36040001,gold_price = 288,bgold_price = 0,coin_price = 0,consume_type = vip_turn_on};

get_quick_buy_price(36040002) ->
    #quick_buy_price{goods_type_id = 36040002,gold_price = 666,bgold_price = 0,coin_price = 0,consume_type = vip_turn_on};

get_quick_buy_price(36040003) ->
    #quick_buy_price{goods_type_id = 36040003,gold_price = 998,bgold_price = 0,coin_price = 0,consume_type = vip_turn_on};

get_quick_buy_price(37020001) ->
    #quick_buy_price{goods_type_id = 37020001,gold_price = 10,bgold_price = 10,coin_price = 0,consume_type = unknown};

get_quick_buy_price(37030002) ->
    #quick_buy_price{goods_type_id = 37030002,gold_price = 100,bgold_price = 0,coin_price = 0,consume_type = unknown};

get_quick_buy_price(38030001) ->
    #quick_buy_price{goods_type_id = 38030001,gold_price = 80,bgold_price = 80,coin_price = 0,consume_type = dungeon_enter_cost};

get_quick_buy_price(38030002) ->
    #quick_buy_price{goods_type_id = 38030002,gold_price = 60,bgold_price = 60,coin_price = 0,consume_type = boss_home};

get_quick_buy_price(38030003) ->
    #quick_buy_price{goods_type_id = 38030003,gold_price = 40,bgold_price = 40,coin_price = 0,consume_type = dungeon_enter_cost};

get_quick_buy_price(38040005) ->
    #quick_buy_price{goods_type_id = 38040005,gold_price = 200,bgold_price = 0,coin_price = 0,consume_type = unknown};

get_quick_buy_price(38040006) ->
    #quick_buy_price{goods_type_id = 38040006,gold_price = 200,bgold_price = 0,coin_price = 0,consume_type = unknown};

get_quick_buy_price(38040010) ->
    #quick_buy_price{goods_type_id = 38040010,gold_price = 5,bgold_price = 5,coin_price = 0,consume_type = dungeon_count_sweep_cost};

get_quick_buy_price(38040101) ->
    #quick_buy_price{goods_type_id = 38040101,gold_price = 10,bgold_price = 10,coin_price = 0,consume_type = dungeon_encourage};

get_quick_buy_price(38040102) ->
    #quick_buy_price{goods_type_id = 38040102,gold_price = 0,bgold_price = 0,coin_price = 5000,consume_type = dungeon_encourage};

get_quick_buy_price(38050001) ->
    #quick_buy_price{goods_type_id = 38050001,gold_price = 10,bgold_price = 10,coin_price = 0,consume_type = chat};

get_quick_buy_price(38050002) ->
    #quick_buy_price{goods_type_id = 38050002,gold_price = 20,bgold_price = 20,coin_price = 0,consume_type = chat};

get_quick_buy_price(38070002) ->
    #quick_buy_price{goods_type_id = 38070002,gold_price = 20,bgold_price = 20,coin_price = 0,consume_type = onhook_card};

get_quick_buy_price(38090001) ->
    #quick_buy_price{goods_type_id = 38090001,gold_price = 50,bgold_price = 50,coin_price = 0,consume_type = unknown};

get_quick_buy_price(38110001) ->
    #quick_buy_price{goods_type_id = 38110001,gold_price = 10,bgold_price = 10,coin_price = 0,consume_type = unknown};

get_quick_buy_price(38110002) ->
    #quick_buy_price{goods_type_id = 38110002,gold_price = 10,bgold_price = 10,coin_price = 0,consume_type = unknown};

get_quick_buy_price(38110003) ->
    #quick_buy_price{goods_type_id = 38110003,gold_price = 10,bgold_price = 10,coin_price = 0,consume_type = unknown};

get_quick_buy_price(38110004) ->
    #quick_buy_price{goods_type_id = 38110004,gold_price = 50,bgold_price = 50,coin_price = 0,consume_type = unknown};

get_quick_buy_price(38110005) ->
    #quick_buy_price{goods_type_id = 38110005,gold_price = 30,bgold_price = 30,coin_price = 0,consume_type = unknown};

get_quick_buy_price(38110006) ->
    #quick_buy_price{goods_type_id = 38110006,gold_price = 45,bgold_price = 45,coin_price = 0,consume_type = unknown};

get_quick_buy_price(38110007) ->
    #quick_buy_price{goods_type_id = 38110007,gold_price = 60,bgold_price = 60,coin_price = 0,consume_type = unknown};

get_quick_buy_price(38120001) ->
    #quick_buy_price{goods_type_id = 38120001,gold_price = 100,bgold_price = 100,coin_price = 0,consume_type = unknown};

get_quick_buy_price(38130001) ->
    #quick_buy_price{goods_type_id = 38130001,gold_price = 5,bgold_price = 5,coin_price = 0,consume_type = unknown};

get_quick_buy_price(38180001) ->
    #quick_buy_price{goods_type_id = 38180001,gold_price = 20,bgold_price = 0,coin_price = 0,consume_type = treasure_hunt};

get_quick_buy_price(38180002) ->
    #quick_buy_price{goods_type_id = 38180002,gold_price = 40,bgold_price = 0,coin_price = 0,consume_type = treasure_hunt};

get_quick_buy_price(38180003) ->
    #quick_buy_price{goods_type_id = 38180003,gold_price = 50,bgold_price = 0,coin_price = 0,consume_type = treasure_hunt};

get_quick_buy_price(38180006) ->
    #quick_buy_price{goods_type_id = 38180006,gold_price = 30,bgold_price = 0,coin_price = 0,consume_type = smashed_egg};

get_quick_buy_price(38180007) ->
    #quick_buy_price{goods_type_id = 38180007,gold_price = 50,bgold_price = 0,coin_price = 0,consume_type = treasure_evaluation};

get_quick_buy_price(38180008) ->
    #quick_buy_price{goods_type_id = 38180008,gold_price = 50,bgold_price = 0,coin_price = 0,consume_type = lucky_flop_refresh};

get_quick_buy_price(38180009) ->
    #quick_buy_price{goods_type_id = 38180009,gold_price = 50,bgold_price = 0,coin_price = 0,consume_type = lucky_flop_cost};

get_quick_buy_price(38180010) ->
    #quick_buy_price{goods_type_id = 38180010,gold_price = 50,bgold_price = 0,coin_price = 0,consume_type = soul_pos};

get_quick_buy_price(38180012) ->
    #quick_buy_price{goods_type_id = 38180012,gold_price = 88,bgold_price = 0,coin_price = 0,consume_type = capsule_toys};

get_quick_buy_price(38180013) ->
    #quick_buy_price{goods_type_id = 38180013,gold_price = 30,bgold_price = 0,coin_price = 0,consume_type = kf_cloud_buy};

get_quick_buy_price(38180014) ->
    #quick_buy_price{goods_type_id = 38180014,gold_price = 50,bgold_price = 0,coin_price = 0,consume_type = race_act_buy};

get_quick_buy_price(38180015) ->
    #quick_buy_price{goods_type_id = 38180015,gold_price = 1,bgold_price = 0,coin_price = 0,consume_type = joy_wish};

get_quick_buy_price(38210001) ->
    #quick_buy_price{goods_type_id = 38210001,gold_price = 468,bgold_price = 468,coin_price = 0,consume_type = change_name};

get_quick_buy_price(38210002) ->
    #quick_buy_price{goods_type_id = 38210002,gold_price = 998,bgold_price = 998,coin_price = 0,consume_type = guild_rename};

get_quick_buy_price(38250001) ->
    #quick_buy_price{goods_type_id = 38250001,gold_price = 50,bgold_price = 50,coin_price = 0,consume_type = equip_wash};

get_quick_buy_price(38260001) ->
    #quick_buy_price{goods_type_id = 38260001,gold_price = 10,bgold_price = 10,coin_price = 0,consume_type = equip_wash};

get_quick_buy_price(38300002) ->
    #quick_buy_price{goods_type_id = 38300002,gold_price = 288,bgold_price = 568,coin_price = 0,consume_type = treasure_guardian};

get_quick_buy_price(38300004) ->
    #quick_buy_price{goods_type_id = 38300004,gold_price = 588,bgold_price = 0,coin_price = 0,consume_type = treasure_guardian};

get_quick_buy_price(38330001) ->
    #quick_buy_price{goods_type_id = 38330001,gold_price = 3,bgold_price = 3,coin_price = 0,consume_type = husong};

get_quick_buy_price(38330002) ->
    #quick_buy_price{goods_type_id = 38330002,gold_price = 7,bgold_price = 7,coin_price = 0,consume_type = husong};

get_quick_buy_price(38330003) ->
    #quick_buy_price{goods_type_id = 38330003,gold_price = 20,bgold_price = 20,coin_price = 0,consume_type = husong};

get_quick_buy_price(38330004) ->
    #quick_buy_price{goods_type_id = 38330004,gold_price = 60,bgold_price = 0,coin_price = 0,consume_type = husong};

get_quick_buy_price(48040001) ->
    #quick_buy_price{goods_type_id = 48040001,gold_price = 2,bgold_price = 0,coin_price = 0,consume_type = role_home};

get_quick_buy_price(48040002) ->
    #quick_buy_price{goods_type_id = 48040002,gold_price = 2,bgold_price = 0,coin_price = 0,consume_type = role_home};

get_quick_buy_price(48050001) ->
    #quick_buy_price{goods_type_id = 48050001,gold_price = 128,bgold_price = 268,coin_price = 0,consume_type = role_home};

get_quick_buy_price(50010101) ->
    #quick_buy_price{goods_type_id = 50010101,gold_price = 0,bgold_price = 0,coin_price = 10000,consume_type = fishing_consume};

get_quick_buy_price(50010102) ->
    #quick_buy_price{goods_type_id = 50010102,gold_price = 20,bgold_price = 0,coin_price = 0,consume_type = fishing_consume};

get_quick_buy_price(50010103) ->
    #quick_buy_price{goods_type_id = 50010103,gold_price = 100,bgold_price = 0,coin_price = 0,consume_type = fishing_consume};

get_quick_buy_price(50010201) ->
    #quick_buy_price{goods_type_id = 50010201,gold_price = 0,bgold_price = 0,coin_price = 1000,consume_type = fishing_consume};

get_quick_buy_price(50010202) ->
    #quick_buy_price{goods_type_id = 50010202,gold_price = 0,bgold_price = 5,coin_price = 0,consume_type = fishing_consume};

get_quick_buy_price(54010001) ->
    #quick_buy_price{goods_type_id = 54010001,gold_price = 20,bgold_price = 20,coin_price = 0,consume_type = baby_lv_cost};

get_quick_buy_price(54010002) ->
    #quick_buy_price{goods_type_id = 54010002,gold_price = 60,bgold_price = 60,coin_price = 0,consume_type = baby_lv_cost};

get_quick_buy_price(54010003) ->
    #quick_buy_price{goods_type_id = 54010003,gold_price = 180,bgold_price = 180,coin_price = 0,consume_type = baby_lv_cost};

get_quick_buy_price(54040001) ->
    #quick_buy_price{goods_type_id = 54040001,gold_price = 20,bgold_price = 20,coin_price = 0,consume_type = baby_mount_lv_cost};

get_quick_buy_price(54040002) ->
    #quick_buy_price{goods_type_id = 54040002,gold_price = 60,bgold_price = 60,coin_price = 0,consume_type = baby_mount_lv_cost};

get_quick_buy_price(54040003) ->
    #quick_buy_price{goods_type_id = 54040003,gold_price = 180,bgold_price = 180,coin_price = 0,consume_type = baby_mount_lv_cost};

get_quick_buy_price(1011000001) ->
    #quick_buy_price{goods_type_id = 1011000001,gold_price = 288,bgold_price = 568,coin_price = 0,consume_type = treasure_guardian};

get_quick_buy_price(1011000002) ->
    #quick_buy_price{goods_type_id = 1011000002,gold_price = 268,bgold_price = 488,coin_price = 0,consume_type = treasure_guardian};

get_quick_buy_price(1011000003) ->
    #quick_buy_price{goods_type_id = 1011000003,gold_price = 488,bgold_price = 0,coin_price = 0,consume_type = treasure_guardian};

get_quick_buy_price(1011000004) ->
    #quick_buy_price{goods_type_id = 1011000004,gold_price = 468,bgold_price = 0,coin_price = 0,consume_type = treasure_guardian};

get_quick_buy_price(_Goodstypeid) ->
    [].

